Bug 183038 - Review Request: perl-IO-All
Review Request: perl-IO-All
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: 183028
Blocks: FE-ACCEPT 183039
  Show dependency treegraph
 
Reported: 2006-02-25 13:32 EST by Steven Pritchard
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-10 13:46:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2006-02-25 13:32:02 EST
Spec Name or Url: http://ftp.kspei.com/pub/steve/rpms/perl-IO-All/perl-IO-All.spec
SRPM Name or Url: http://ftp.kspei.com/pub/steve/rpms/perl-IO-All-0.33-1.src.rpm
Description:
The IO::All object is a proxy for IO::File, IO::Dir, IO::Socket,
IO::String, Tie::File, File::Spec, File::Path and File::ReadBackwards; as
well as all the DBM and MLDBM modules. You can use most of the methods
found in these classes and in IO::Handle (which they inherit from). IO::All
adds dozens of other helpful idiomatic methods including file stat and
manipulation functions.

IO::All is required by Spiffy, which is required by Kwiki.
Comment 1 Steven Pritchard 2006-02-27 17:57:02 EST
http://ftp.kspei.com/pub/steve/rpms/perl-IO-All-0.33-2.src.rpm

* Mon Feb 27 2006 Steven Pritchard <steve@kspei.com> 0.33-2
- Filter Requires: perl(mixin).
- Turn off "make test" for now.
- Drop explict BR: perl.
Comment 2 Jason Tibbitts 2006-02-27 22:10:47 EST
OK, onto this one.  It's looks good:

The source file matches upstream.
Package builds in FC4 i386.
rpmlint is silent.
The package meets the naming and packaging guidelines.
The specfile is properly named and follows the suggested template.
The license is appropriate and included as %doc.
BuildRequires: and Requires: are good.
Provides: of built package are fine.

The only thing I can't do is run the mock builds because perl-Spiffy isn't in
development yet.  When it hits the mirrors I'll finish this up.
Comment 3 Steven Pritchard 2006-02-28 11:12:50 EST
Keep an eye on this: http://buildsys.fedoraproject.org/build-status/job.psp?uid=5365

As soon as it finishes, you should be able to build in mock.
Comment 4 Jason Tibbitts 2006-02-28 11:24:22 EST
Unfortunately it still needs to be signed and pushed to the mirrors.  It doesn't
look like any packages have been pushed since noon on Sunday, so hopefully that
will happen soon.
Comment 5 Jason Tibbitts 2006-02-28 20:50:35 EST
My mirror is updated and I've done builds in mock and everything is fine.

Approved.

Now, onto the dependent packages.
Comment 6 Steven Pritchard 2006-03-10 13:46:32 EST
I assume it was just an oversight that this still blocks FE-REVIEW instead of
FE-ACCEPT.

Packages have been built.

Note You need to log in before you can comment on or make changes to this bug.